Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.tcp
Class SfTransportServerChannelFactory

    java.lang.Object
      org.codehaus.activemq.transport.tcp.SfTransportServerChannelFactory

All Implemented Interfaces:
  TransportServerChannelFactory

Direct Known Subclasses:
  SslTransportServerChannelFactory

public class SfTransportServerChannelFactory
extends java.lang.Object
implements TransportServerChannelFactory

An implementation of TransportServerChannelFactory which uses a ServerSocketFactory to create ServerSocket instances

Version:
  $Revision: 1.4 $

Field Summary
`protected static int` | `BACKLOG`

Constructor Summary
`SfTransportServerChannelFactory(javax.net.ServerSocketFactory socketFactory)`

Method Summary
`TransportServerChannel` | `create(WireFormat wireFormat, java.net.URI bindAddress)` Bind a ServerChannel to an address
`protected java.net.ServerSocket` | `createServerSocket(java.net.URI bind)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BACKLOG

    protected static final int BACKLOG

See Also:
  Constant Field Values

Constructor Detail

### SfTransportServerChannelFactory

    public SfTransportServerChannelFactory(javax.net.ServerSocketFactory socketFactory)

Method Detail

### create

    public TransportServerChannel create(WireFormat wireFormat,
                                         java.net.URI bindAddress)
                                  throws JMSException

  Bind a ServerChannel to an address

  Specified by:
    `create` in interface `TransportServerChannelFactory`
  Parameters:
    `wireFormat` -
    `bindAddress` -
  Returns:
    the TransportChannel bound to the remote node
  Throws:
    `JMSException`

### createServerSocket

    protected java.net.ServerSocket createServerSocket(java.net.URI bind)
                                                throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.